> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Shipping Rate

> The "update Shipping Rate" API allows update a shipping rate to the system. 



## OpenAPI

````yaml /api-reference/store/openapi.json put /store/shipping-zone/{shippingZoneId}/shipping-rate/{shippingRateId}
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/shipping-zone/{shippingZoneId}/shipping-rate/{shippingRateId}:
    put:
      tags:
        - Shipping Zone Rates
      summary: Update Shipping Rate
      description: >-
        The "update Shipping Rate" API allows update a shipping rate to the
        system. 
      operationId: update-shipping-rate
      parameters:
        - name: shippingZoneId
          required: true
          in: path
          description: ID of the shipping zone
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: shippingRateId
          required: true
          in: path
          description: ID of the shipping rate that needs to be returned
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateShippingRateDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateShippingRateResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - store/shipping.write
components:
  schemas:
    UpdateShippingRateDto:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        name:
          type: string
          description: Name of the shipping zone
          example: North zone
        description:
          type: string
          description: Delivery description
          example: Ships next day
        currency:
          type: string
          description: The currency of the amount of the rate / handling fee
          example: USD
        amount:
          type: number
          description: >-
            The amount of the shipping rate if it is normal rate (0 means free
            ). Fixed Handling fee if it is a carrier rate (it will add to the
            carrier rate).
          example: 99.99
        conditionType:
          type: string
          description: Type of condition to provide the conditional pricing
          enum:
            - none
            - price
            - weight
          example: price
        minCondition:
          type: number
          description: >-
            Minimum condition for applying this price. set 0 or null if there is
            no minimum
          example: 99.99
        maxCondition:
          type: number
          description: >-
            Maximum condition for applying this price. set 0 or null if there is
            no maximum
          example: 99.99
        isCarrierRate:
          type: boolean
          description: is this a carrier rate
          example: true
        shippingCarrierId:
          type: string
          description: Shipping carrier id
          example: 655b33a82209e60b6adb87a5
        percentageOfRateFee:
          type: number
          description: Percentage of rate fee if it is a carrier rate.
          example: 10.99
        shippingCarrierServices:
          description: An array of items
          type: array
          items:
            $ref: '#/components/schemas/ShippingCarrierServiceDto'
    UpdateShippingRateResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
        data:
          $ref: '#/components/schemas/ShippingRateSchema'
      required:
        - status
        - data
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    ShippingCarrierServiceDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the shipping carrier service
          example: Priority Mail Express International
        value:
          type: string
          description: Value of the shipping carrier service
          example: PriorityMailExpressInternational
      required:
        - name
        - value
    ShippingRateSchema:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        name:
          type: string
          description: Name of the shipping zone
          example: North zone
        description:
          type: string
          description: Delivery description
          example: Ships next day
        currency:
          type: string
          description: The currency of the amount of the rate / handling fee
          example: USD
        amount:
          type: number
          description: >-
            The amount of the shipping rate if it is normal rate (0 means free
            ). Fixed Handling fee if it is a carrier rate (it will add to the
            carrier rate).
          example: 99.99
        conditionType:
          type: string
          description: Type of condition to provide the conditional pricing
          enum:
            - none
            - price
            - weight
          example: price
        minCondition:
          type: number
          description: >-
            Minimum condition for applying this price. set 0 or null if there is
            no minimum
          example: 99.99
        maxCondition:
          type: number
          description: >-
            Maximum condition for applying this price. set 0 or null if there is
            no maximum
          example: 99.99
        isCarrierRate:
          type: boolean
          description: is this a carrier rate
          example: true
        shippingCarrierId:
          type: string
          description: Shipping carrier id
          example: 655b33a82209e60b6adb87a5
        percentageOfRateFee:
          type: number
          description: Percentage of rate fee if it is a carrier rate.
          example: 10.99
        shippingCarrierServices:
          description: An array of items
          type: array
          items:
            $ref: '#/components/schemas/ShippingCarrierServiceDto'
        _id:
          type: string
          description: The unique identifier for the product.
          example: 655b33a82209e60b6adb87a5
        shippingZoneId:
          type: string
          description: The unique identifier for the shipping zone.
          example: 655b33a82209e60b6adb87a5
        createdAt:
          type: string
          description: created at
          example: '2023-12-12T09:27:42.355Z'
        updatedAt:
          type: string
          description: updated at
          example: '2023-12-12T09:27:42.355Z'
      required:
        - altId
        - altType
        - name
        - currency
        - amount
        - conditionType
        - minCondition
        - maxCondition
        - shippingCarrierId
        - _id
        - shippingZoneId
        - createdAt
        - updatedAt

````